apt error

Error message on running apt-get install or apt-get update:

W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://security.debian.org wheezy/updates Release: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY 8B48AD6246925553

W: GPG error: http://ppa.launchpad.net precise Release: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY C5E6A5ED249AD24C
W: GPG error: http://ftp.fr.debian.org wheezy Release: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 6FB2A1C265FFB764
W: GPG error: http://ftp.fr.debian.org wheezy-updates Release: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY 8B48AD6246925553
W: Failed to fetch http://security.debian.org/dists/wheezy/updates/Release

Fix:
Add the keys:

# apt-key adv --recv-keys --keyserver keyserver.ubuntu.com C5E6A5ED249AD24C

You are reading this post on Joel G Mathew’s tech blog. Joel's personal blog is the Eyrie, hosted here.